Subject: bug#24707: 25.1; Window shrinks automatically after opening at normal size

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Oct 2016 22:49:57 +0300

> From: "Ivor Durham" <[email-masked]>
> Cc: <[email-masked]>,
> 	<[email-masked]>
> Date: Wed, 26 Oct 2016 12:30:21 -0700
> 
> So I can think of a couple of ways to try to diagnose this:
> - Enable telnet into the workstation and use it instead of ssh so I can
> capture unencrypted network traffic with Wireshark to see if the X protocol
> communication reveals anything unusual.
> - Try to build a debugging version of Emacs 25.1 locally, reproduce the
> problem and then use gdb to break on whatever resize calls there are to find
> what parameters are being passed and where they come from. I know nothing
> about the Emacs implementation so this could be a bit of a time sink.
> 
> Any other ideas on how I should approach this?

The second approach is IMO the right one.  I think if you put a
breakpoint in adjust_frame_size, you will see all the resizes.